.\"	$NetBSD: m25p.4,v 1.1 2006/10/09 16:51:51 gdamore Exp $
.\"
.\" Copyright (c) 2006 Urbana-Champaign Independent Media Center.
.\" Copyright (c) 2006 Garrett D'Amore.
.\" All rights reserved.
.\"
.\" Portions of this code were written by Garrett D'Amore for the
.\" Champaign-Urbana Community Wireless Network Project.
.\"
.\" Redistribution and use in source and binary forms, with or
.\" without modification, are permitted provided that the following
.\" conditions are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above
.\"    copyright notice, this list of conditions and the following
.\"    disclaimer in the documentation and/or other materials provided
.\"    with the distribution.
.\" 3. All advertising materials mentioning features or use of this
.\"    software must display the following acknowledgements:
.\"      This product includes software developed by the Urbana-Champaign
.\"      Independent Media Center.
.\"	This product includes software developed by Garrett D'Amore.
.\" 4. Urbana-Champaign Independent Media Center's name and Garrett
.\"    D'Amore's name may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE URBANA-CHAMPAIGN INDEPENDENT
.\" MEDIA CENTER AND GARRETT D'AMORE ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE URBANA-CHAMPAIGN INDEPENDENT
.\" MEDIA CENTER OR GARRETT D'AMORE BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 9, 2006
.Dt M25P 4
.Os
.Sh NAME
.Nm m25p
.Nd STMicroelectronics M25P family of SPI-connected flash devices
.Sh SYNOPSIS
.Cd "m25p* at spi0 slave 0"
.Sh DESCRIPTION
The
.Nm
driver provides support for STMicrolelectronics' M25P family of SPI
connected NOR flash devices.
.Sh SEE ALSO
.Xr spi 4
.Sh HISTORY
The machine-independent
.Nm
driver was written by
.An Garrett D'Amore
for the
Champaign-Urbana Community Wireless Network Project (CUWiN), and
appeared in
.Nx 4.0 .
.Sh BUGS
Some important bits that are vital for use as a mass storage device
are still missing.
Specifically, there is no API to erase the device,
and there is no support for device partitioning.
